
if(Module.load("Postgres")) {
	System.writeln("<hr><b>Postgres is installed</b><table border=1>");
	var connection=new Postgres;
	if(!connection) {
		System.writeln("Cannot connect to postgres<br>");
	}
	else {
		connection.exec("create table jstest (c1 int,c2 text)");
		if(connection.exec("insert into jstest values (1,'test1')")) {
			connection.exec("insert into jstest values (2,'test2')");
			var result=connection.exec("select * from jstest");
			if(!result) { System.writeln("Failed to exec<br>"); }
			else {
				var tuples=Postgres.ntuples(result);
				for(var col in result) {
					System.writeln("<tr><td>",col,"</td>");
					for(var c=0; c<tuples; c++) {
						System.writeln("<td>",result[col][c],"</td>");
					}
				}
			}
			connection.exec("drop table jstest");
		}
		else { System.writeln("Failed to insert<br>"); }
	}
	System.writeln("</table>");
}
else {
	System.writeln("Cannot load Postgres module");
}



