/* desc: Sample module
*/

#include <mod_js_config.h>

static JSBool
sample_static_func(JSContext *cx, JSObject *obj, uintN argc, jsval *argv, jsval *rval)
{
	return JS_TRUE;
}


static JSFunctionSpec sample_static_methods[] = {
	{"sample",		sample_static_func,		0},
	{NULL,NULL,0}
};

static JSClass sample_class = {
	NULL,
	0,
	JS_PropertyStub,  JS_PropertyStub,  JS_PropertyStub,  JS_PropertyStub,
	JS_EnumerateStub, JS_ResolveStub,   JS_ConvertStub,   JS_FinalizeStub
};




static JSObject *
InitSampleModule(JSContext *cx, JSObject *obj)
{
	JSObject *proto;

	proto = JS_InitClass(cx, obj, NULL, &sample_class, NULL, 0,
		NULL, NULL, NULL, sample_static_methods);
	if (!proto) return NULL;

	return proto;
}


Javascript_module Sample_javascript_module={
	&sample_class,
	&InitSampleModule,
	NULL,
};

